PETSc version 3.15.5
Fix/Edit manual page

# KSPPIPEGCRGetNprealloc

get the number of directions preallocate by PIPEGCR

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRGetNprealloc(KSP ksp,PetscInt *nprealloc)

Not Collective

### Input Parameter

| ksp | - the Krylov space context

### Output Parameter

| nprealloc | - the number of directions preallocated

### Options Database

| -ksp_pipegcr_nprealloc <N>

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRSetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages